Subject: bug#68244: hash-table improvements

From: Mattias Engdegård <[email-masked]>
Date: Tue, 13 Feb 2024 11:12:37 +0100

13 feb. 2024 kl. 10.05 skrev Gerd Möllmann <[email-masked]>:

> I wonder, what does your code do for the places using (make-vector n 0)
> create obarrays? I'm not 100% sure, but I think Cedet was an example of
> that in Emacs itself.

That code would still work, but just for completeness I changed all those instances to using `obarray-make`, including cedet. (See the branch scratch/obarray.)

A more worrying problem is code that uses `obarray-make` but assumes the result to be vectors. It may be unsafe to let obarray-make return an obarray object for that reason. With Stefan's suggestion, if I understood it right, we'd have `obarray-make` return (vector 0). I'll give it a try.